import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {HomeComponent} from './home/home.component';
import {LoginService} from './services/login.service';
import {SampleComponent} from './sample/sample.component';
import {SamplesComponent} from './samples/samples.component';


const routes: Routes = [
  {path: '', component: HomeComponent},
  {path: 'home', component: HomeComponent},
  {path: 'samples', component: SamplesComponent, canActivate: [LoginService]},
  {path: 'samples/new', component: SampleComponent, canActivate: [LoginService]},
  {path: 'samples/edit/:id', component: SampleComponent, canActivate: [LoginService]},

  // if not authenticated
  { path: '**', redirectTo: '' }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
