import {Component, OnInit, ViewChild} from '@angular/core';
import {ValidationService} from '../services/validation.service';
import {LoginService} from '../services/login.service';


@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.scss']
})
export class LoginComponent implements OnInit {

  username = '';  // credentials
  password = '';
  message = '';  // message below login fields
  @ViewChild('loginForm') loginForm;


  constructor(
    private validate: ValidationService,
    private loginService: LoginService,
  ) { }

  ngOnInit() {
  }

  login() {
    this.loginService.login(this.username, this.password).then(ok => {
      if (ok) {
        this.message = 'Login successful';  // TODO: think about following action
      }
      else {
        this.message = 'Wrong credentials!';
      }
    });
  }
}
